Loading...
Searching...
No Matches
juce::dsp::ProcessContextReplacing< ContextSampleType > Struct Template Reference

`#include <juce_ProcessContext.h>`

## Public Types

using | SampleType = ContextSampleType
using | AudioBlockType = AudioBlock<SampleType>
using | ConstAudioBlockType = AudioBlock<const SampleType>

## Public Member Functions

| ProcessContextReplacing (AudioBlockType &block) noexcept
| ProcessContextReplacing (const ProcessContextReplacing &)=default
| ProcessContextReplacing (ProcessContextReplacing &&)=default
const ConstAudioBlockType & | getInputBlock () const noexcept
AudioBlockType & | getOutputBlock () const noexcept

## Static Public Member Functions

static constexpr bool | usesSeparateInputAndOutputBlocks ()

## Public Attributes

bool | isBypassed = false

## Detailed Description

template<typename ContextSampleType>
struct juce::dsp::ProcessContextReplacing< ContextSampleType >

Contains context information that is passed into an algorithm's process method.

This context is intended for use in situations where a single block is being used for both the input and output, so it will return the same object for both its getInputBlock() and getOutputBlock() methods.

See also
  ProcessContextNonReplacing

Definition at line 88 of file juce_ProcessContext.h.

## Member Typedef Documentation

## AudioBlockType

template<typename ContextSampleType>

using juce::dsp::ProcessContextReplacing< ContextSampleType >::AudioBlockType = AudioBlock<SampleType>

The type of audio block that this context handles.

Definition at line 94 of file juce_ProcessContext.h.

## ConstAudioBlockType

template<typename ContextSampleType>

using juce::dsp::ProcessContextReplacing< ContextSampleType >::ConstAudioBlockType = AudioBlock<const SampleType>

Definition at line 95 of file juce_ProcessContext.h.

## SampleType

template<typename ContextSampleType>

using juce::dsp::ProcessContextReplacing< ContextSampleType >::SampleType = ContextSampleType

The type of a single sample (which may be a vector if multichannel).

Definition at line 92 of file juce_ProcessContext.h.

## Constructor & Destructor Documentation

## ProcessContextReplacing()

template<typename ContextSampleType>

juce::dsp::ProcessContextReplacing< ContextSampleType >::ProcessContextReplacing | ( | AudioBlockType & | block | ) |

inline noexcept

Creates a ProcessContextReplacing that uses the given audio block. Note that the caller must not delete the block while it is still in use by this object!

Definition at line 100 of file juce_ProcessContext.h.

## Member Function Documentation

## getInputBlock()

template<typename ContextSampleType>

const ConstAudioBlockType & juce::dsp::ProcessContextReplacing< ContextSampleType >::getInputBlock | ( |  | ) | const

inline noexcept

Returns the audio block to use as the input to a process function.

Definition at line 106 of file juce_ProcessContext.h.

## getOutputBlock()

template<typename ContextSampleType>

AudioBlockType & juce::dsp::ProcessContextReplacing< ContextSampleType >::getOutputBlock | ( |  | ) | const

inline noexcept

Returns the audio block to use as the output to a process function.

Definition at line 109 of file juce_ProcessContext.h.

## usesSeparateInputAndOutputBlocks()

template<typename ContextSampleType>

constexpr bool juce::dsp::ProcessContextReplacing< ContextSampleType >::usesSeparateInputAndOutputBlocks | ( |  | ) |

inline static constexpr

All process context classes will define this constant method so that templated code can determine whether the input and output blocks refer to the same buffer, or to two different ones.

Definition at line 115 of file juce_ProcessContext.h.

## Member Data Documentation

## isBypassed

template<typename ContextSampleType>

bool juce::dsp::ProcessContextReplacing< ContextSampleType >::isBypassed = false

If set to true, then a processor's process() method is expected to do whatever is appropriate for it to be in a bypassed state.

Definition at line 120 of file juce_ProcessContext.h.

The documentation for this struct was generated from the following file:

- juce_ProcessContext.h